<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/mle.hpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d0/d78/mle_8hpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mle.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="../../dd/d45/openthread_8h_source.html">openthread.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d57/encoding_8hpp_source.html">common/encoding.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d05/timer_8hpp_source.html">common/timer.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../da/db5/mac_8hpp_source.html">mac/mac.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d0/db7/udp6_8hpp_source.html">net/udp6.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d9/dd3/mle__constants_8hpp_source.html">thread/mle_constants.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d1/df7/mle__tlvs_8hpp_source.html">thread/mle_tlvs.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d4b/topology_8hpp_source.html">thread/topology.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../da/d7f/joiner__router_8hpp_source.html">meshcop/joiner_router.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for mle.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d81/mle_8hpp__incl.png" border="0" usemap="#src_2core_2thread_2mle_8hpp" alt=""/></div>
<map name="src_2core_2thread_2mle_8hpp" id="src_2core_2thread_2mle_8hpp">
<area shape="rect" id="node2" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="663,592,763,617"/>
<area shape="rect" id="node8" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="2951,672,3107,697"/>
<area shape="rect" id="node10" href="../../df/d05/timer_8hpp.html" title="This file includes definitions for the multiplexed timer service. " alt="" coords="592,445,723,471"/>
<area shape="rect" id="node14" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="889,79,991,104"/>
<area shape="rect" id="node24" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="1467,152,1605,177"/>
<area shape="rect" id="node36" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="1298,299,1398,324"/>
<area shape="rect" id="node37" href="../../d1/df7/mle__tlvs_8hpp.html" title="This file includes definitions for generating and processing MLE TLVs. " alt="" coords="2664,372,2802,397"/>
<area shape="rect" id="node39" href="../../d9/dd3/mle__constants_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="3118,445,3293,471"/>
<area shape="rect" id="node41" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="2197,152,2376,177"/>
<area shape="rect" id="node3" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="587,825,651,851"/>
<area shape="rect" id="node4" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="1668,825,1743,851"/>
<area shape="rect" id="node5" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="1481,752,1617,777"/>
<area shape="rect" id="node7" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="656,672,770,697"/>
<area shape="rect" id="node6" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="1480,825,1618,851"/>
<area shape="rect" id="node12" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="624,519,765,544"/>
<area shape="rect" id="node13" href="../../d2/d2d/alarm_8h.html" title="This file includes the platform abstraction for the alarm service. " alt="" coords="464,672,581,697"/>
<area shape="rect" id="node15" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="1224,592,1394,617"/>
<area shape="rect" id="node17" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="2025,592,2167,617"/>
<area shape="rect" id="node19" href="../../d6/d79/mac__whitelist_8hpp.html" title="This file includes definitions for IEEE 802.15.4 frame filtering based on MAC address. " alt="" coords="969,519,1125,544"/>
<area shape="rect" id="node20" href="../../de/d6e/mac__blacklist_8hpp.html" title="This file includes definitions for IEEE 802.15.4 frame filtering based on MAC address. " alt="" coords="789,519,945,544"/>
<area shape="rect" id="node21" href="../../de/d0b/key__manager_8hpp.html" title="This file includes definitions for Thread security material generation. " alt="" coords="400,372,568,397"/>
<area shape="rect" id="node16" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="1250,665,1414,704"/>
<area shape="rect" id="node22" href="../../df/dbf/hmac__sha256_8hpp.html" title="This file includes definitions for performing HMAC SHA&#45;256 computations. " alt="" coords="346,445,518,471"/>
<area shape="rect" id="node25" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1594,225,1681,251"/>
<area shape="rect" id="node40" href="../../d2/d49/link__quality_8hpp.html" title="This file includes definitions for storing and processing link quality information. " alt="" coords="1086,225,1240,251"/>
<area shape="rect" id="node26" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="2286,519,2442,544"/>
<area shape="rect" id="node29" href="../../d0/dba/icmp6_8hpp.html" title="This file includes definitions for ICMPv6. " alt="" coords="1815,299,1921,324"/>
<area shape="rect" id="node30" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1625,372,1767,397"/>
<area shape="rect" id="node31" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="1478,592,1620,617"/>
<area shape="rect" id="node32" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="1403,445,1498,471"/>
<area shape="rect" id="node33" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="1302,519,1410,544"/>
<area shape="rect" id="node34" href="../../df/dc2/ip6__routes_8hpp.html" title="This file includes definitions for manipulating IPv6 routing tables. " alt="" coords="1927,445,2059,471"/>
<area shape="rect" id="node35" href="../../df/dab/ip6__mpl_8hpp.html" title="This file includes definitions for MPL. " alt="" coords="1675,299,1791,324"/>
<area shape="rect" id="node27" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="2294,592,2434,617"/>
<area shape="rect" id="node28" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="2378,752,2540,777"/>
<area shape="rect" id="node38" href="../../dd/d6b/meshcop__tlvs_8hpp.html" title="This file includes definitions for generating and processing MeshCoP TLVs. " alt="" coords="2771,445,2941,471"/>
<area shape="rect" id="node42" href="../../d1/d8d/coap__header_8hpp.html" title="This file includes definitions for generating and processing CoAP headers. " alt="" coords="2539,445,2696,471"/>
<area shape="rect" id="node43" href="../../dd/d28/coap__server_8hpp.html" title="This file includes definitions for the CoAP server. " alt="" coords="2377,225,2530,251"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/db5/mle_8hpp__dep__incl.png" border="0" usemap="#src_2core_2thread_2mle_8hppdep" alt=""/></div>
<map name="src_2core_2thread_2mle_8hppdep" id="src_2core_2thread_2mle_8hppdep">
<area shape="rect" id="node2" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="178,259,415,284"/>
<area shape="rect" id="node4" href="../../db/dc3/joiner__router_8cpp.html" title="This file implements the Joiner Router role. " alt="" coords="406,599,568,637"/>
<area shape="rect" id="node5" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="763,432,955,457"/>
<area shape="rect" id="node8" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="2490,512,2642,551"/>
<area shape="rect" id="node18" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="386,692,524,717"/>
<area shape="rect" id="node20" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="1422,685,1574,724"/>
<area shape="rect" id="node30" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="4533,605,4694,631"/>
<area shape="rect" id="node37" href="../../de/db9/ip6__filter_8cpp.html" title="This file implements IPv6 datagram filtering. " alt="" coords="817,85,986,111"/>
<area shape="rect" id="node38" href="../../d2/d1d/meshcop__dataset__manager_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="1156,425,1324,464"/>
<area shape="rect" id="node39" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="3699,165,3835,204"/>
<area shape="rect" id="node44" href="../../d8/d26/thread__tlvs_8hpp.html" title="This file includes definitions and methods for generating and processing Thread Network Layer TLVs..." alt="" coords="1050,79,1202,117"/>
<area shape="rect" id="node3" href="../../d7/d69/commissioner_8cpp.html" title="This file implements a Commissioner role. " alt="" coords="94,605,331,631"/>
<area shape="rect" id="node6" href="../../d7/d02/leader_8cpp.html" title="This file implements a MeshCoP Leader. " alt="" coords="592,605,784,631"/>
<area shape="rect" id="node7" href="../../df/d42/meshcop__dataset__manager_8cpp.html" title="This file implements MeshCoP Datasets manager to process commands. " alt="" coords="808,599,976,637"/>
<area shape="rect" id="node9" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="3058,692,3210,717"/>
<area shape="rect" id="node10" href="../../d3/dd0/announce__begin__client_8cpp.html" title="This file implements the Announce Begin Client. " alt="" coords="2713,599,2901,637"/>
<area shape="rect" id="node11" href="../../d2/d47/dtls_8cpp.html" title="This file implements the necessary hooks for mbedTLS. " alt="" coords="1160,605,1336,631"/>
<area shape="rect" id="node12" href="../../dd/d3b/energy__scan__client_8cpp.html" title="This file implements the Energy Scan Client. " alt="" coords="1360,599,1531,637"/>
<area shape="rect" id="node13" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="1555,605,1742,631"/>
<area shape="rect" id="node14" href="../../d5/de7/panid__query__client_8cpp.html" title="This file implements the PAN ID Query Client. " alt="" coords="1766,599,1928,637"/>
<area shape="rect" id="node15" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="2549,599,2689,637"/>
<area shape="rect" id="node19" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="2868,692,3034,717"/>
<area shape="rect" id="node24" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="3785,599,3946,637"/>
<area shape="rect" id="node25" href="../../d4/d67/announce__begin__server_8cpp.html" title="This file implements the Announce Begin Server. " alt="" coords="1953,599,2125,637"/>
<area shape="rect" id="node26" href="../../da/d6e/energy__scan__server_8cpp.html" title="This file implements the Energy Scan Server. " alt="" coords="2150,599,2304,637"/>
<area shape="rect" id="node27" href="../../dd/d59/key__manager_8cpp.html" title="This file implements Thread security material generation. " alt="" coords="4140,599,4274,637"/>
<area shape="rect" id="node28" href="../../d6/d2b/lowpan_8cpp.html" title="This file implements 6LoWPAN header compression. " alt="" coords="3395,605,3576,631"/>
<area shape="rect" id="node29" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="3970,599,4116,637"/>
<area shape="rect" id="node31" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="1001,599,1136,637"/>
<area shape="rect" id="node32" href="../../d9/d20/network__data_8cpp.html" title="This file implements common methods for manipulating Thread Network Data. " alt="" coords="3211,599,3371,637"/>
<area shape="rect" id="node33" href="../../d0/d0f/network__data__leader_8cpp.html" title="This file implements the Thread Network Data managed by the Thread Leader. " alt="" coords="4299,599,4459,637"/>
<area shape="rect" id="node34" href="../../dd/d90/network__data__local_8cpp.html" title="This file implements the local Thread Network Data. " alt="" coords="3027,599,3187,637"/>
<area shape="rect" id="node35" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="3600,599,3761,637"/>
<area shape="rect" id="node36" href="../../d1/d58/panid__query__server_8cpp.html" title="This file implements the PAN ID Query Server. " alt="" coords="2328,599,2475,637"/>
<area shape="rect" id="node16" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="2035,692,2131,717"/>
<area shape="rect" id="node17" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="2155,692,2336,717"/>
<area shape="rect" id="node21" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="2361,692,2512,717"/>
<area shape="rect" id="node22" href="../../d0/d95/ncp__spi_8cpp.html" title="This file implements a SPI interface to the OpenThread stack. " alt="" coords="2536,692,2675,717"/>
<area shape="rect" id="node23" href="../../d4/dae/ncp__uart_8cpp.html" title="This file contains definitions for a UART based NCP interface to the OpenThread stack. " alt="" coords="2700,692,2845,717"/>
<area shape="rect" id="node40" href="../../d1/d10/network__data_8hpp.html" title="This file includes definitions for managing Thread Network Data. " alt="" coords="3413,252,3574,291"/>
<area shape="rect" id="node41" href="../../de/d90/network__data__leader_8hpp.html" title="This file includes definitions for manipulating Thread Network Data managed by the Thread Leader..." alt="" coords="3489,339,3650,377"/>
<area shape="rect" id="node43" href="../../d0/d03/network__data__local_8hpp.html" title="This file includes definitions for manipulating local Thread Network Data. " alt="" coords="3027,425,3187,464"/>
<area shape="rect" id="node42" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="3616,425,3763,464"/>
<area shape="rect" id="node45" href="../../d9/d60/thread__tlvs_8cpp.html" title="This file implements common Thread Network Layer TLV processing. " alt="" coords="1106,165,1258,204"/>
</map>
</div>
</div>
<p><a href="../../d0/d78/mle_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d49/classThread_1_1Mle_1_1Header.html">Thread::Mle::Header</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements MLE <a class="el" href="../../db/d49/classThread_1_1Mle_1_1Header.html" title="This class implements MLE Header generation and parsing. ">Header</a> generation and parsing.  <a href="../../db/d49/classThread_1_1Mle_1_1Header.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/ddf/classThread_1_1Mle_1_1Mle.html">Thread::Mle::Mle</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements MLE functionality required by the Thread EndDevices, <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a>, and Leader roles.  <a href="../../dd/ddf/classThread_1_1Mle_1_1Mle.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:d2/d3b/namespaceThread_1_1NetworkData"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/namespaceThread_1_1NetworkData.html">Thread::NetworkData</a></td></tr>
<tr class="memdesc:d2/d3b/namespaceThread_1_1NetworkData"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace includes definitions for managing Thread Network Data. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d2/dd4/namespaceThread_1_1Mle"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dd4/namespaceThread_1_1Mle.html">Thread::Mle</a></td></tr>
<tr class="memdesc:d2/dd4/namespaceThread_1_1Mle"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace includes definitions for the MLE protocol. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gabe714234641548ea1768d032cd89f2ea"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/group__core-mle-core.html#gabe714234641548ea1768d032cd89f2ea">Thread::Mle::DeviceState</a> { <br />
&#160;&#160;<a class="el" href="../../df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaa5c841056790325c8be1bacaf6b0c1167">Thread::Mle::kDeviceStateDisabled</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaafcf4b80cae20cb71e0db5b236f11d404">Thread::Mle::kDeviceStateDetached</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaaa75f4fec564a007a4d40e1c085ba9cb1">Thread::Mle::kDeviceStateChild</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaa583378afe418b287da014f00e44e148a">Thread::Mle::kDeviceStateRouter</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../df/d94/group__core-mle-core.html#ggabe714234641548ea1768d032cd89f2eaab2cd9fd4044b649cc1755a711ed06fcf">Thread::Mle::kDeviceStateLeader</a> = 4
<br />
 }<tr class="memdesc:gabe714234641548ea1768d032cd89f2ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">MLE Device states.  <a href="../../df/d94/group__core-mle-core.html#gabe714234641548ea1768d032cd89f2ea">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:gabe714234641548ea1768d032cd89f2ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68b27a9232c761a893a49802fc2eb03b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d94/group__core-mle-core.html#ga68b27a9232c761a893a49802fc2eb03b">Thread::Mle::AlocAllocation</a> { <br />
&#160;&#160;<b>kAloc16Mask</b> = 0xfc, 
<br />
&#160;&#160;<b>kAloc16Leader</b> = 0xfc00, 
<br />
&#160;&#160;<b>kAloc16DHCPv6AgentStart</b> = 0xfc01, 
<br />
&#160;&#160;<b>kAloc16DHCPv6AgentEnd</b> = 0xfc0f, 
<br />
&#160;&#160;<b>kAloc16ServiceStart</b> = 0xfc10, 
<br />
&#160;&#160;<b>kAloc16ServiceEnd</b> = 0xfc2f, 
<br />
&#160;&#160;<b>kAloc16CommissionerStart</b> = 0xfc30, 
<br />
&#160;&#160;<b>kAloc16CommissionerEnd</b> = 0xfc37, 
<br />
&#160;&#160;<b>kAloc16NeighborDiscoveryAgentStart</b> = 0xfc40, 
<br />
&#160;&#160;<b>kAloc16NeighborDiscoveryAgentEnd</b> = 0xfc4e
<br />
 }<tr class="memdesc:ga68b27a9232c761a893a49802fc2eb03b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This enumeration represents the allocation of the ALOC Space.  <a href="../../df/d94/group__core-mle-core.html#ga68b27a9232c761a893a49802fc2eb03b">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ga68b27a9232c761a893a49802fc2eb03b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gabb3e9f5943e90700013b50b11bf698c0"><td class="memItemLeft" align="right" valign="top">
<a class="el" href="../../d7/da1/group__toolchain.html#gaba6ad63129c3a790957a9b149a65891b">OT_TOOL_PACKED_BEGIN</a> class <a class="el" href="../../db/d49/classThread_1_1Mle_1_1Header.html">Thread::Mle::Header</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Mle::OT_TOOL_PACKED_END</b></td></tr>
<tr class="separator:gabb3e9f5943e90700013b50b11bf698c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../d0/d78/mle_8hpp.html">mle.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
